Main Page | Class List | File List | Class Members | File Members | Related Pages

# soap_wsse_session Struct Reference

Digest authentication session data. More...

Collaboration diagram for soap_wsse_session:

[legend]
List of all members.

## Public Attributes
soap_wsse_session * | next
time_t | expired
char | hash [SOAP_SMD_SHA1_SIZE]
char | nonce [1]

## Detailed Description

Digest authentication session data.

## Member Data Documentation

time_t soap_wsse_session::expired

| Session expiration

char soap_wsse_session::hash[SOAP_SMD_SHA1_SIZE]

| SHA1 digest

struct soap_wsse_session* soap_wsse_session::next

| Next session in list

char soap_wsse_session::nonce[1]

| Nonce string flows into region below this struct

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/plugin/wsseapi.c